Why must the computer be Mac OS X v.10.6.8 or later when it is a USB keyboard?

my computer is 10.4.11 and the keyboard is broken so how do i get a new one?

Apple Keyboard with Numeric Keypad - English (USA)

Back To Product

Follow this Question

1 Answer from the Community

  • I've used this keyboard since OS X 10.5, so it'll probably work with 10.4.11.
    Apple probably recommends 10.6.8 for the keyboard functions.

    Was this useful? Answer 1

    1 of 3 people found this useful

Related Questions